
$(document).delegate("#remote", "pageinit", function() {

var signalarray = ['ZERO', 'ONE', 'TWO', 'THREE', 'FOUR',
		   'FIVE', 'SIX', 'SEVEN', 'EIGHT', 'NINE'];

function send(cmd)
{
	$('#xmit').stop(true, true).fadeIn('fast').delay(500).fadeOut('fast');
	$('#results')
		.empty()
		.html('<img src=/img/loading.gif> Sending command...')
		.load('../send.jim?code=' + cmd, function() {
			$('#results').wrapInner('<pre>');
		});
}

$('area').on('click', function() {
	var code = $(this).attr('code');

	if (code == 'STANDBY' && !confirm(
	    'Caution: If you put the machine into standby remotely, ' +
	    'you will not be able to restart it remotely. Are you sure?'))
		return false;

	pos = $('#remotei').position();

	coords = $(this).attr('coords').split(',');
	if ($(this).attr('shape') == 'circle')
	{
		var rad = coords[2];
		var width = rad * 2;
		var height = rad * 2;
		var left = coords[0] - rad;
		var top = coords[1] - rad;
	}
	else
	{
		var width = coords[2] - coords[0];
		var height = coords[3] - coords[1];
		var left = coords[0];
		var top = coords[1];
	}
	$('#dot')
		.stop(true, true)
		.css('width', width + 'px')
		.css('height', height + 'px')
		.css('left', (left + pos.left) + 'px')
		.css('top', (top + pos.top) + 'px')
		.fadeIn('fast').delay(500).fadeOut('fast');

	send(encodeURIComponent(code));

	return false;
});

function banner(msg, id)
{
	$(id).empty().html(msg).popup('open').delay(2000).popup('close');
}

function changechannel(lcn)
{

	var cmd = '';
	for (i = 0; i < lcn.length; i++)
	{
		if (i > 0)
			cmd += '+';
		cmd += signalarray[lcn.charAt(i)];
	}
	if (lcn < 1000)
		cmd += '+OK';
	//console.log('LCN: %O', lcn);
	//console.log('CMD: %O', cmd);

	send(cmd);
}

$('.favchan').click(function(e) {
	var lcn = $(this).attr('lcn');

	e.preventDefault();
	banner('Changing to channel ' + lcn, '#favbanner');
	changechannel(lcn);
});

$('a.macroexec').click(function(e) {
	e.preventDefault();
	banner('Sending macro.', '#macbanner');
	send(encodeURIComponent($(this).attr('code')));
});

});

